#include <bits/stdc++.h>
#define endl '\n';
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin >> n;
    bool ok = false;
    for(int i = 0; i<n; i++){
        ok = false;
        int a;
        cin >> a;
        for(int j = 1; j<a/2; j++){
            bool ok1 = true, ok2 = true;
            for(int h = 1; h*h<=j; h++){
                if(h*h==j){
                    ok1 = false;
                    break;
                }
            }
            for(int h = 1; h*h<=a-j; h++){
                if(h*h==a-j){
                    ok2 = false;
                    break;
                }
            }
            if(!ok2){
                if(!ok1){
                    cout << 1;
                    ok = true;
                    break;
                }
            }
        }
        if(!ok){
            cout << 0;
        }
    }
    return 0;
}
